jQuery(function($){
	
	
	//FIXME Migracion UDA V.2.4.4 (201504) - Se ha quitado la forma de ocultar "contenido"
	//$("#contenido").hide("slow");
	y42bPintarGRID_Etiquetas();
	$("#Etiquetas").rup_maint({
		jQueryGrid: "GRID_Etiquetas",
		primaryKey: "etiquetaId",
		modelObject: "Etiqueta",
		detailButtons: $.rup.maint.detailButtons.SAVE,
		searchForm: "searchForm",
		showMessages: true		
	});
	
	if (y42bEtiquetas_UsuarioTipoAcceso != $("#y42bEtiquetas_CteTipoAcceso_Administrador").val()){
		y42bEtiquetasSoloConsulta();
	}
	
});


function y42bPintarGRID_Etiquetas(){
	//FIXME Migracion UDA V.2.4.4 (201504) - Se ha quitado la propiedad "width"
	$("#GRID_Etiquetas").rup_grid({
		hasMaint: true,
		//width: "600",
		url: "../etiqueta",
		pagerName: "pager",
		rowNum: "10",
		sortorder: "asc",
		sortname: "nombre",
		colNames: [
		        $.rup.i18n.app.etiqueta_grid.etiquetaId,
		        $.rup.i18n.app.etiqueta_grid.nombre
		],
		colModel: [
			{ name: "etiquetaId",
				label: $.rup.i18n.app.etiqueta_grid.etiquetaId,
				index: "etiquetaId",
				width: "150",
				hidden:true,
				editable: true,
				edittype: "hidden"
			},
			{ name: "nombre",
				label: $.rup.i18n.app.etiqueta_grid.nombre,
				index: "nombre",
				width: "150",
				editable: true,
				edittype: "text"
			}
        ]
	});
}

function y42bEtiquetasSoloConsulta(){
	$("#rup-maint_toolbar-Etiquetas").hide();
	$("#contenido").hide();
}